Name:           perl-Term-ReadLine-Gnu
Version:        1.26
Release:        2%{?dist}
Summary:        Perl extension for the GNU Readline/History Library
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Term-ReadLine-Gnu/
Source0:        http://www.cpan.org/authors/id/H/HA/HAYASHI/Term-ReadLine-Gnu-%{version}.tar.gz
# Fix regression with Debug::Client, bug #1189459, CPAN RT#101078
Patch0:         Term-ReadLine-Gnu-1.26-Propagete-PerlIO_return_value_from_STORE.patch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel >= 2.1
BuildRequires:  perl >= 5.7
BuildRequires:  expect
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
An implementation of Term::ReadLine using the GNU Readline/History Library.


%prep
%setup -q -n Term-ReadLine-Gnu-%{version}
%patch0 -p0


%build
# Fix permissions and shebang paths at one shot
find . -type f -exec chmod 0664 '{}' \; \
       -exec sed 's,^#! */usr/local,#!%{_prefix},' -i '{}' \;
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT

%check
# Expect is used so that we get a PTY, as if we were
# in a real terminal, where readline works
expect -c '
	spawn make test
	expect eof
	exit [lindex [wait] 3]
'


%files
%doc README
%{_bindir}/perlsh
%{perl_vendorarch}/auto/Term*
%{perl_vendorarch}/Term*
%{_mandir}/man1/perlsh.1.gz
%{_mandir}/man3/Term*


%changelog
* Tue Feb 17 2015 Petr Pisar <ppisar@redhat.com> - 1.26-2
- Fix regression with Debug::Client (bug #1189459)

* Sun Feb 01 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 1.26-1
- Update to 1.26
- Tighten file listing

* Wed Dec 24 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.25-1
- Update to 1.25

* Tue Aug 26 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.24-6
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Petr Pisar <ppisar@redhat.com> - 1.24-4
- Revert removal of rl_executing_key and rl_executing_keyseq because readline
  library have been fixed (bugs #1112614)

* Wed Jul 16 2014 Petr Pisar <ppisar@redhat.com> - 1.24-3
- Cope with removed rl_executing_key and rl_executing_keyseq (bug #1112614)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.24-1
- Update to 1.24

* Sun Mar 23 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.23-1
- Update to 1.23

* Sun Mar 09 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.22-1
- Update to 1.22

* Sun Mar 02 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.21-1
- Update to 1.21

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.20-9
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 28 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 1.20-7
- Clean up spec file
- Add perl default filter

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 1.20-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.20-3
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 04 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 1.20-1
- Bump to a later release

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.19-4
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.19-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 1.19-1
- New upstream release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17a-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 02 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 1.17a-4
- Remote the workaround introduced in previous change
- Disable Visual Bell test

* Tue Jul 01 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 1.17a-3
- Patch around rt#56500 perl bug hoping for better tomorrows

* Sat Jun 28 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 1.17a-2
- Run the test suite with a pseudo-terminal

* Fri Jun 27 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 1.17a-1
- Specfile autogenerated by cpanspec 1.75.
